/**
 * @file
 * Modifies builder toolbar links.
 */

(function($, Drupal) {
  /**
   * Starts build when links in the toolbar is clicked.
   *
   * @type {Drupal~behavior}
   *
   * @prop {Drupal~behaviorAttach} attach
   *   Attaches the functionality to the toolbar-builder link.
   */
  Drupal.behaviors.oeBuilderToolbar = {
    attach(context) {
      $("[data-toolbar-builder]", context)
        .once("builder")
        .click(function(event) {
          event.preventDefault();

          const url = this.href;
          $.post(url, function(data) {
            console.log("Build started", data);

            window.location.href = url;
          });
        });
    }
  };
})(jQuery, Drupal, drupalSettings);
